Skip to content
Start here

Create a Route

magic_transit.routes.create(RouteCreateParams**kwargs) -> RouteCreateResponse
POST/accounts/{account_id}/magic/routes

Creates a new Magic static route. Use ?validate_only=true as an optional query parameter to run validation only without persisting changes.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
nexthop: str

The next-hop IP Address for the static route.

prefix: str

IP Prefix in Classless Inter-Domain Routing format.

priority: int

Priority of the static route.

description: Optional[str]

An optional human provided description of the static route.

scope: Optional[ScopeParam]

Used only for ECMP routes.

colo_names: Optional[List[str]]

List of colo names for the ECMP scope.

colo_regions: Optional[List[str]]

List of colo regions for the ECMP scope.

weight: Optional[int]

Optional weight of the ECMP scope - if provided.

ReturnsExpand Collapse
class RouteCreateResponse:
id: str

Identifier

maxLength32
nexthop: str

The next-hop IP Address for the static route.

prefix: str

IP Prefix in Classless Inter-Domain Routing format.

priority: int

Priority of the static route.

created_on: Optional[datetime]

When the route was created.

formatdate-time
description: Optional[str]

An optional human provided description of the static route.

modified_on: Optional[datetime]

When the route was last modified.

formatdate-time
scope: Optional[Scope]

Used only for ECMP routes.

colo_names: Optional[List[str]]

List of colo names for the ECMP scope.

colo_regions: Optional[List[str]]

List of colo regions for the ECMP scope.

weight: Optional[int]

Optional weight of the ECMP scope - if provided.

Create a Route

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
route = client.magic_transit.routes.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    nexthop="203.0.113.1",
    prefix="192.0.2.0/24",
    priority=0,
)
print(route.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "nexthop": "203.0.113.1",
    "prefix": "192.0.2.0/24",
    "priority": 0,
    "created_on": "2017-06-14T00:00:00Z",
    "description": "New route for new prefix 203.0.113.1",
    "modified_on": "2017-06-14T05:20:00Z",
    "scope": {
      "colo_names": [
        "den01"
      ],
      "colo_regions": [
        "APAC"
      ]
    },
    "weight": 0
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "nexthop": "203.0.113.1",
    "prefix": "192.0.2.0/24",
    "priority": 0,
    "created_on": "2017-06-14T00:00:00Z",
    "description": "New route for new prefix 203.0.113.1",
    "modified_on": "2017-06-14T05:20:00Z",
    "scope": {
      "colo_names": [
        "den01"
      ],
      "colo_regions": [
        "APAC"
      ]
    },
    "weight": 0
  },
  "success": true
}